@echo off
REM #############################################################################
REM #       								        #
REM #                    NetWare Global MHS 2.0d2 Upgrade                      #
REM #                              March 1, 1995                                #
REM #		   					     		        #
REM #############################################################################

: This batch file must be copied to and run from the root NGM directory
: (EX: \NGM)


if not exist .\patch.exe goto nopatch
if not exist .\ngm20d2.rtp goto nopatch
cls
echo The NetWare Global MHS v2.0d2 patch process may take a few minutes,
echo depending on your system type and the number of files to be updated. 
echo Review the file RESULTS.TXT upon completion.
echo 
echo PATCHING in progress - WORKING !!!

if exist results.txt copy results.txt results.bak

PATCH /S  ngm20d2.rtp   > results.txt
if errorlevel 1 goto FAIL
goto DONE


:NOPATCH
cls
echo 
echo ERROR - Please verify the following files exist in the root NGM directory.
echo 
echo         1. PATCH.EXE
echo         2. NGM20D2.RTP
echo         3. PATCHNGM.BAT
echo 
echo         Change to the NGM root directory and type 'PATCHNGM'.
echo 
goto end

:DONE
cls
echo 
echo The NetWare Global MHS v2.0d2 Upgrade has completed. Please examine the
echo file 'RESULTS.TXT' to verify the successful completion of this upgrade
echo procedure.
echo 
goto end

:FAIL
echo 
echo ERROR - An error has occurred which has caused this NetWare Global MHS
echo         v2.0d2 upgrade to FAIL. If the .\BACKUP directory exists
echo         on your system you must perform the following before attempting
echo         to install the patch again. 
echo 
echo                  1.  From the .\BACKUP directory copy UNPATCH.BAK to
echo                      UNPATCH.BAT.
echo                  2.  Type UNPATCH.BAT.
echo                  3.  After the system is restored, delete the .\BACKUP
echo                      directory and its contents. 
echo                
echo         Check your system configuration and rerun "PATCHNGM.BAT". If
echo         you continue to experience problems, contact your local Novell
echo         representative.
echo 

:END
